<?php
error_reporting(E_ALL & ~E_NOTICE);
ob_start();
$PageSecurity=0;

include('includes/session.inc');
$Title=_('ERP Home');
include('includes/newheader.php');
include('includes/SQL_CommonFunctions.inc');
   
	//echo $request->BuyerCostCenterId;

date_default_timezone_set("Pacific/Fiji");

if (isset($_GET['invoicenumber'])) {
		$_SESSION['invoicenumber'] = stripslashes($_GET['invoicenumber']);
	}
	$sdcinvoicenumber = $_SESSION['invoicenumber'];

	if (isset($_GET['transno'])) {
		$_SESSION['transno'] = stripslashes($_GET['transno']);
	}
	$erpinvoicenumber = $_SESSION['transno'];	

	$quotedate1= date('d/m/Y h:i a');
	$quotedate= date('m/d/Y h:i:s a');

    $date =date(DATE_ISO8601, strtotime($quotedate));
	
		$userid = $_SESSION['UserID'];
		
$SQLuser = "SELECT email,realname,tin,pac
	               
			FROM www_users
			WHERE userid='" . $userid. "'
			";
	
			$resultuser = DB_query($SQLuser);
	
			$myrowuser = DB_fetch_array($resultuser) ;
		$emailm= $myrowuser['email'];
$realname= $myrowuser['realname'];
$usertin= $myrowuser['tin'];	
$pac = $myrowuser['pac'];		

//retrieve header info from debtor trans
	  
	   $SQL = "SELECT 	*
							 
			FROM possales
			WHERE sdc_invoice_no ='" . $sdcinvoicenumber. "'
			";
	
	$result = DB_query($SQL);
	
	$myrow = DB_fetch_array($result) ;

$paymenttype= $myrow['paymenttype'];
$type= $myrow['type'];
	
		  $SQLsales= "SELECT 	stockid,stock_name,unitprice,quantity,total
							 
			FROM  possales_details
			WHERE orderno='" . $myrow['id'] . "'
			";
	
	$resultsales = DB_query($SQLsales);
	
	while ( $myrowsales = DB_fetch_array($resultsales)) {


        
		  //get tax for line item
		  
		  
				$SQLtax = "SELECT sales_tax
				   
			FROM item_tax
			WHERE stockid='" . $myrowsales['stkcode']. "'
			";
	
	$result = DB_query($SQLtax);
		
	$label =array();
	while( $rowtax = DB_fetch_array($result) ){
		
				$SQLlabel = "SELECT tax_label
				   
			FROM new_sales_tax
			WHERE id='" . $rowtax['sales_tax']. "'
			";
	
		
	$resultlabel = DB_query($SQLlabel);
		$rowlabel = DB_fetch_array($resultlabel);
		
		
		$label[] = $rowlabel['tax_label'];
		
		
	};
		$labeljson = json_encode($label);
		  
		  
		  $itemsdata[] = array(
			'Name'=>trim($myrowsales['stock_name']),
			'Labels'=> json_decode($labeljson),
			'UnitPrice'=>trim($myrowsales['unitprice']),
			'Quantity'=>trim($myrowsales['quantity']),
			'TotalAmount'=> $myrowsales['total']
			);
		  
		  $itemsother[] = array(
			  'Stockid'=>trim($myrowsales['stkcode']),
			'Name'=>trim($myrowsales['stock_name']),
			'Labels'=> json_decode($labeljson),
			'UnitPrice'=>trim($myrowsales['unitprice']),
			'Quantity'=>trim($myrowsales['quantity']),
			'TotalAmount'=> $myrowsales['total']
			);
		  
	  }
	

			
	 $itemssdc = json_encode($itemsdata,true);
		
     $itemssdcother = json_encode($itemsother,true);

if ($type == '70'){
	$TT = "Refund";
	
}
if ($type == '69'){
	$TT = "Sale";
	
}
echo "


<div id='printarea' style='text-align: center'>
<div id='printdata'  style='font-size:18px'>
<img src='https://ebusinescloudservers.com/demo/smalllogo1.jpg' width='300px' height='100px'>
<div style='font-weight:bold'>Tebara Prime Cuts</div>
<div >Terminal: Counter 1 Shop: Main Branch</div>
<div >Ph:XXXXXXX Mob:XXXXXXX</div>
<div >Email:info@domain.com</div>
<pre class='output'></pre>

<div style='text-align: center'><image id='qrcode' style='width:250px;height:250px;'/></div>

<br>
<div >--------END OF FISCAL INVOICE-----------</div>

<div id='copyright'style='font-size:12px'>--------------Powered by E-Business ERP 2.0---------------</div>
</div>";
		
echo '<form method="post" id= "completeform" action="' . htmlspecialchars($_SERVER['PHP_SELF'],ENT_QUOTES,'UTF-8') . '">';
	
	echo '<input type="hidden" name="FormID" value="' . $_SESSION['FormID'] . '" />';
	?>
	<div style='text-align: center'>
  <textarea name= 'results' id='results' cols='100' rows='30' style='display:block'></textarea><br>
  <textarea name= 'invoiceRequest' id='invoiceRequest' cols='100' rows='30' style='display:block'></textarea><br>
   <textarea name= 'otherRequest' id='otherRequest'  cols='100' rows='30' style='display:block'></textarea><br>
    
<input type="submit" name="complete" id="complete" class="btn btn-info" value="Complete"/>


</form>	
    <div id="smart" style='text-align: center'> Communicating with VSDC </div>
  
  
  <div id ="signing" style='text-align: center'>Click this button to sign invoice with FRCS VMS </div>
               <div id ="signing1" style='text-align: center'> Signing Copy Invoice. Please hold.... </div>
               <div id ="signing2" style='text-align: center'> Success. Please check the pdf copy thats downloaded below</div>
              <div id ="error" style='text-align: center'> Fiscalization process Failed! Please check the error message that has show earlier and contact your admin manager </div>
                </div>
                
                
<a href='POSTrans.php'>  <button type='button' name='invoicing'  id ="posbtt" class='btn btn-info'>Go to POS Trans Listings</button></a>
<input type='button' id='btn' value='RePrint' onclick='printData();'>
   <?

echo "
<div class='row'
>

  <div tyle='text-align: center'>
 <button id='taxcore_sign_element'
 data-taxcore-vsdc-url='https://vsdc.staging.vms.frcs.org.fj/'
 data-taxcore-input-id='invoiceRequest'
 data-taxcore-output-id='results'
 data-taxcore-invoice-request=''
 data-taxcore-debug='true'
 data-taxcore-signed-invoice-response=''>Sign Copy Invoice to FRCS Tax System</button></div>";
 

			
 
 
	
 
 
	echo"<script src='https://vsdc.staging.vms.frcs.org.fj/onlinepos/v1/taxcore.min.js'></script>
 <script>
 document.getElementById('invoiceRequest').innerHTML =
 JSON.stringify(CreateExampleInvoiceRequest(), undefined, 4);
 
 document.getElementById('otherRequest').innerHTML =
 JSON.stringify(Other(),undefined, 4);


 
 
document.getElementById('taxcore_sign_element').dataset.taxcoreInvoiceRequest = JSON.stringify(CreateExampleInvoiceRequest());

$('#complete').hide();
$('#invoiceRequest').hide();
$('#otherRequest').hide();
$('#printdata').hide();
	$('#receipt').hide();
	$('#results').hide();
  $('#taxcore_sign_element').hide();

 $('#btn').hide();
		$('#error').hide();
		
	$('#receipt_wrapper').hide();	
	
		$('#signing').hide();
	$('#signing1').hide();
	$('#signing2').hide();
	$('#error').hide();
  $('#taxcore_sign_element').hide();
 $('#smart').show();
  $('#posbtt').hide();
  
 
 function CreateExampleInvoiceRequest() {

 var invoiceRequest = {
 'DateAndTimeOfIssue': '$quotedate',
 'Cashier': '$usertin',
 'BD': '',
 'BuyerCostCenterId': null,
 'IT': 'Copy',
 'TT': '$TT',
 'PaymentType': '$paymenttype',
 'InvoiceNumber': '$erpinvoicenumber',
 'ReferentDocumentNumber': '$sdcinvoicenumber',
 'PAC': '$pac',
 'Options': {
 'OmitTextualRepresentation': 0,
 'OmitQRCodeGen': 0
	 },
 'Items': $itemssdc
 
 };
 return invoiceRequest;
 
 
 }


function Other() {

 
 var otherRequest = {

 
 'Notes': '$notes',
 'Date': '$quotedate1',
 
 'Items': $itemssdcother,
 'UserTin':'$usertin'

 };
 return otherRequest;
 }







		
setTimeout(function() {


if ($('#invoiceRequest').length > 0){
 

    $('#taxcore_sign_element').trigger('click');
 
 }
 else{
 alert('Session Expired. Please Retry. Taking you back again');
 
 parent.history.back();
 
 }
  
	
	 
}, 1e3);

  

$('#taxcore_sign_element' ).click(function() {



$(function() {
    var intervalID = setInterval(function() {
	
	         
			 	$('#signing').hide();
      var attrmethod = $('#taxcore_sign_element').attr('data-taxcore-signed-invoice-response');
	  var results = $('#results').val();
	  var invoiceRequest = $('#invoiceRequest').val();
	  var otherRequest = $('#otherRequest').val();
	  	var objprint = JSON.parse(results);
 				var obj = JSON.parse(attrmethod);
				
			if (obj.status_code == 200){
			
			 clearInterval(intervalID);
					$('#taxcore_sign_element').hide();
				$('#invoicebtt').show();
			   $('#newbtt').show();
				
		
				
				var journal1 = objprint.Journal;
				
				
			
			
				
						$('#qrcode').attr('src', 'data:image/gif;base64,' + objprint.VerificationQRCode);
						
			
						
						setTimeout(function() {



				$('.output').text(journal1);
				   
				  					
				
		
 			       	$('#btn').trigger('click');
 
 
  					$('#posbtt').show();
					$('#btn').show();
				 
					$('#printdata').show();
					
		
           
     
	
	 
}, 1e3);
	}
			
			if (obj.status_code != 200){
			
		$('#error').show();
			alert(attrmethod);
			
			 parent.history.back();
			
			}
    }, 2000);
	
    setTimeout(function() {
        clearInterval(intervalID);
		
    }, 4000);
	
	
});

 });
  


function printData()
{
   var divToPrint=document.getElementById('printdata');
   newWin= window.open('');
   newWin.document.write(divToPrint.innerHTML);
   newWin.print();
   newWin.close();
}


	
	
	


	
</script>
";
		



//echo 'Quotation Created Successfully'. $jobno.'!';
echo '</div>';
echo '</div>';





			  
 	echo '</div >';
	?>
						

		
					</div>
				</div>
			</div>
					
					

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<!-- Modal HTML embedded directly into document -->
<div id="ex1" class="modal">
  <p>Thanks for clicking. That felt good.</p>
  <a href="#" rel="modal:close">Close</a>
</div>


<!-- Modal -->
 <div class="modal fade" id="getCodeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
   <div class="modal-dialog modal-lg">
      <div class="modal-content">
       <div class="modal-header">
         <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
         <h4 class="modal-title" id="myModalLabel"> API CODE </h4>
       </div>
       <div class="modal-body" id="getCode" style="overflow-x: scroll;">
       
          
          
       </div>
    </div>
   </div>
 </div>
<script>

jQuery(document).ready(function($){

	function disableF5(e) {
		
if ((e.which || e.keyCode) == 116) 
	
	e.preventDefault(); 
	
	};
// To disable f5
    /* jQuery < 1.7 */
$(document).bind("keydown", disableF5);
/* OR jQuery >= 1.7 */
$(document).on("keydown", disableF5);

// To re-enable f5

$(document).keydown(function (event) {
    if (event.keyCode == 123) { // Prevent F12
        return false;
    } else if (event.ctrlKey && event.shiftKey && event.keyCode == 73) { // Prevent Ctrl+Shift+I        
        return false;
    }
});
	
	$(document).on("contextmenu", function (e) {        
    e.preventDefault();
});
	 });
	
	
	
	

	
	
	
	
</script>
	  
		    </script>
	


		
